# Additional example on how to efficiently calculate pseudo-ranks in R

rm(list = ls())

library(pseudorank)

# data import
dat.ps = read.delim("Data_psranks_new.txt", header = TRUE, dec = ",")
dat.ps = na.omit(dat.ps)

ps.r = pseudorank(Gesamtcomfort_Summenscore_T1 ~ factor(Stadt), data = dat.ps,
                  ties.method = "average")
ps.r
